import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  filename: z.string(),
  mimeType: z.string().optional().nullable(),
  filePath: z.string().optional().nullable()
}).strict();
export const AppointmentFileCreateManyAppointmentInputObjectSchema: z.ZodType<Prisma.AppointmentFileCreateManyAppointmentInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileCreateManyAppointmentInput>;
export const AppointmentFileCreateManyAppointmentInputObjectZodSchema = makeSchema();
